import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LogLevelAliasType, c as LoggerInterface } from './uuid-rQ3TD9jj.cjs';
export { ep as ArgumentsType, d9 as AsyncMutex, du as AsyncReturnType, ab as BinInput, B as BinaryEncoder, n as CRYPTO_DEFAULT_ALG, o as CRYPTO_DEFAULT_DERIVE_ALG, p as CRYPTO_DEFAULT_DERIVE_ITERATIONS, C as CRYPTO_DEFAULT_HASH_ALG, d$ as Channel, d_ as ChannelMessageEvent, ec as CryptoEncoder, aW as DAY_MS, aR as Day, aY as DayInput, aQ as DayInputLegacy, aX as DayValue, bj as DecimalInput, bi as DecimalValue, e5 as DefaultListener, dE as DefaultLogger, bs as Difference, br as DifferenceType, c$ as Disposer, c_ as DisposerFunction, e7 as Emitter, e3 as EmitterAllHandler, e2 as EmitterHandler, e6 as EmitterSubscriberOptions, e9 as Encoder, bS as FilterFunction, eb as JsonEncoder, e4 as ListenerSignature, e0 as LocalChannel, dF as LogLevel, dN as LogLevelAlias, dO as LogLevelAliasKey, dG as LogLevelAll, dH as LogLevelDebug, dK as LogLevelError, dL as LogLevelFatal, dI as LogLevelInfo, dM as LogLevelOff, dJ as LogLevelWarn, dP as LogMessage, dS as LoggerConsoleHandler, dT as LoggerContext, dQ as LoggerContextInterface, dZ as LoggerMemoryHandler, bT as MapperFunction, eN as MemStorage, eM as MemStorageOptions, ef as Message, ed as MessageAction, ej as MessageDefinitions, ek as MessageHub, ee as MessageResult, eh as MessagesDefaultMethods, ei as MessagesMethods, eg as MessagesOptions, d8 as Mutex, eT as NestedArray, ea as NoopEncoder, dd as PoolConfig, dg as PoolTask, dh as PoolTaskEvents, de as PoolTaskFn, dc as PoolTaskIdConflictResolution, df as PoolTaskState, bw as Primitive, dj as Progress, en as PubSub, et as RPCFn, es as RPCOptions, er as RPCOptionsBasic, eu as RPCReturn, aH as RenderMessagesOptions, eq as ReturnType, cj as RoundingMode, dx as SerialQueue, cu as SortableItem, dw as TaskEvents, dv as TaskFn, d0 as TimerExecFunction, aP as Uint8ArrayToDataUri, ar as Uint8ArrayToHexDump, aq as Uint8ArrayToJson, af as Uint8ArrayToString, cQ as Uint8ArrayToWords, cZ as UseDefer, cX as UseDispose, cV as UseDisposeConfig, d7 as UseDisposeWithUtils, ex as UseRPCHubType, cU as XRX, ad as _decodeUtf8Polyfill, ac as _encodeUtf8Polyfill, a0 as _useBase, Z as arrayAvg, _ as arrayBatches, M as arrayEmptyInPlace, I as arrayFilterInPlace, D as arrayFlatten, E as arrayIntersection, R as arrayIsEqual, W as arrayMax, X as arrayMin, z as arrayMinus, V as arrayRandomElement, G as arrayRemoveElement, N as arraySetArrayInPlace, H as arraySetElement, T as arrayShuffle, U as arrayShuffleForce, S as arrayShuffleInPlace, P as arraySorted, Q as arraySortedNumbers, Y as arraySum, F as arraySymmetricDifference, K as arrayToggleInPlace, A as arrayUnion, y as arrayUnique, d as assert, e as assertCondition, c3 as avg, c1 as between, k as bitfield, l as blobToArrayBuffer, aO as blobToDataUri, m as blobToUint8Array, dR as browserSelectColorByName, cM as cloneJsonObject, cL as cloneObject, cf as cmp, ce as composeOrderby, $ as createArray, j as createBinaryStreamDecoder, i as createBinaryStreamEncoder, e1 as createLocalChannelPair, dk as createPromise, el as createPromiseProxy, w as csvParse, x as csvParseToObjects, v as csvStringify, aN as dataUriToBlob, aM as dataUriToMimeType, aL as dataUriToUint8Array, aV as dateStringToDays, aU as day, a$ as dayDay, bf as dayDiff, b3 as dayFromAny, b5 as dayFromDate, b6 as dayFromDateGMT, ba as dayFromParts, bb as dayFromString, b8 as dayFromTimestamp, b2 as dayFromToday, bh as dayIterator, a_ as dayMonth, bc as dayMonthStart, be as dayOffset, bg as dayRange, b1 as dayToDate, b4 as dayToDateGMT, b0 as dayToParts, b9 as dayToString, b7 as dayToTimestamp, aZ as dayYear, bd as dayYearStart, dz as debounce, cA as deburr, bk as decimal, bn as decimalCentsPart, bl as decimalFromCents, bm as decimalToCents, a5 as decodeBase16, a3 as decodeBase32, a7 as decodeBase58, a9 as decodeBase62, h as decodeJson, u as decrypt, bo as deepEqual, bq as deepMerge, bp as deepStripUndefinedInPlace, s as deriveKeyPbkdf2, eJ as detect, bt as diffObjects, q as digest, eS as duration, cK as empty, a4 as encodeBase16, a2 as encodeBase32, a6 as encodeBase58, a8 as encodeBase62, g as encodeJson, cD as encodeQuery, t as encrypt, cw as endSortWeight, cF as ensureKey, cG as ensureKeyAsync, ao as equalBinary, bu as escapeHTML, ci as escapeRegExp, aa as estimateSizeForBase, f as fatal, eA as fetchBasic, eB as fetchJson, eF as fetchOptionsBasicAuth, eD as fetchOptionsFormURLEncoded, eE as fetchOptionsJson, eC as fetchText, cI as first, aK as fixBrokenUth8String, aS as forEachDay, cP as forTimes, aI as formatMessages, eP as formatMilliseconds, am as fromBase64, an as fromBase64String, av as fromCamelCase, aj as fromHex, eI as getGlobal, dA as getGlobalContext, e8 as getGlobalEmitter, dC as getGlobalLogger, dD as getGlobalLoggerIfExists, dU as getNamespaceFilterString, eH as getNavigator, eR as getPerformanceTimestamp, bY as getSecureRandom, bZ as getSecureRandomIfPossible, eO as getTimestamp, eG as getWindow, ey as httpMethod, dm as immediate, bz as isArray, bG as isBoolean, eK as isBrowser, bL as isEmpty, cl as isEven, ck as isHalf, bE as isInteger, dB as isLocalHost, bM as isNotEmpty, bK as isNotNull, bI as isNull, bH as isNullOrUndefined, bD as isNumber, bx as isObject, c5 as isPrime, c4 as isPrimeRX, by as isPrimitive, ds as isPromise, bA as isRecord, bB as isRecordPlain, bF as isSafeInteger, bC as isString, dp as isTimeout, bO as isTruthy, bJ as isUint8Array, bN as isValue, dY as joinLogStrings, ah as joinToUint8Array, bR as jsonStringify, bQ as jsonStringifySafe, bP as jsonStringifySorted, ap as jsonToUint8Array, cJ as last, cB as linkifyPlainText, bW as listDistinctUnion, bV as listGroupBy, bX as listOfKey, bU as listQuery, cN as memoize, cO as memoizeAsync, cx as moveSortWeight, eU as noop, cb as objectInclusivePick, c9 as objectIsEmpty, c7 as objectMap, c8 as objectMergeDisposable, cc as objectOmit, ca as objectPick, ez as parseBasicAuth, eQ as parseDate, dW as parseLogLevel, cd as parseOrderby, cE as parseQuery, dt as promisify, fe as qid, b_ as randomBoolean, c0 as randomFloat, b$ as randomInt, r as randomUint8Array, cT as regExpEscape, cS as regExpString, aJ as renderMessages, cn as roundDown, cq as roundHalfAwayFromZero, cr as roundHalfDown, cs as roundHalfEven, cp as roundHalfOdd, ct as roundHalfTowardsZero, co as roundHalfUp, cm as roundUp, c6 as seededRandom, f8 as setUuidDefaultEncoding, cH as size, dl as sleep, cy as sortedItems, cg as sortedOrderby, cv as startSortWeight, aw as stringToBoolean, ay as stringToFloat, ax as stringToInteger, ae as stringToUInt8Array, f4 as suid, f3 as suidBytes, f6 as suidBytesDate, f5 as suidDate, c2 as sum, dy as throttle, dn as timeout, ak as toBase64, al as toBase64Url, aG as toBool, as as toCamelCase, at as toCapitalize, au as toCapitalizeWords, aD as toFloat, ai as toHex, cC as toHumanReadableUrl, aE as toInt, aF as toString, ag as toUint8Array, ch as toValidFilename, aT as today, dq as tryTimeout, fd as uname, bv as unescapeHTML, db as useAsyncMutex, a1 as useBase, cY as useDefer, cW as useDispose, d6 as useDisposeWithUtils, d4 as useEventListener, d5 as useEventListenerOnce, eL as useExitHandler, d2 as useInterval, d3 as useIntervalPause, dX as useLevelFilter, em as useMessageHub, da as useMutex, dV as useNamespaceFilter, di as usePool, eo as usePubSub, ev as useRPC, ew as useRPCHub, cz as useSorted, d1 as useTimeout, f9 as uuid, f7 as uuid32bit, eZ as uuidB32, eW as uuidB62, eV as uuidBytes, fa as uuidDecode, e$ as uuidDecodeB32, eY as uuidDecodeB62, f2 as uuidDecodeV4, fb as uuidEncode, e_ as uuidEncodeB32, eX as uuidEncodeB62, f1 as uuidEncodeV4, fc as uuidIsValid, f0 as uuidv4, az as valueToBoolean, aB as valueToFloat, aA as valueToInteger, aC as valueToString, dr as waitOn, cR as wordsToUint8Array } from './uuid-rQ3TD9jj.cjs';

/** @deprecated use fromBase64 instead */
declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;

/**
 * Directly use console calls, this has the advantage to show the original source of the call
 * i.e. it is possible to jump right into the code from the browser console logs. But other
 * loggers will not work any more.
 */
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string, logLevel?: LogLevelAliasType) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(_opt?: LogHandlerOptions): void;

declare function browserSupportsColors(): boolean;

declare function Logger(name?: string, level?: LogLevelAliasType): LoggerInterface;

export { Json, LocalStorage, type LocalStorageOptions, LogHandler, LogHandlerOptions, LogLevelAliasType, Logger, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, LoggerInterface, ObjectStorage, activateConsoleDebug, browserSupportsColors, gravatarURLByEmail, urlBase64ToUint8Array };
